BibNumber
Stats of the bib numbers of an event: mode, assigned, pending and usage per range.
GET/api/event/base_event/{identifier}/bib_number/stats
Path parameters
identifierrequiredstring |
Responses
200Bib number stats
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/stats \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/stats"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/stats', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/stats"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/stats")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_bib_number_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBibNumberController.stats(42);
if (result.success) {
print(result.data);
}Assigns numbers to every sign up of the event without one. With dry_run only the preview is returned.
POST/api/event/base_event/{identifier}/bib_number/assign
Path parameters
identifierrequiredstring |
Request body application/json
sort_modestringAllowed:
CREATEDLAST_NAMEBIRTHDAYAGE_CLASSCOMPANYdry_runbooleanonly_confirmedboolean
Responses
200Assigned and skipped sign ups
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/assign \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"sort_mode": "CREATED",
"dry_run": true,
"only_confirmed": true
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({sort_mode: 'CREATED', dry_run: true, only_confirmed: true})
};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/assign"
payload = {
"sort_mode": "CREATED",
"dry_run": True,
"only_confirmed": True
}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/assign', [
'body' => '{"sort_mode":"CREATED","dry_run":true,"only_confirmed":true}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/assign"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"sort_mode\":\"CREATED\",\"dry_run\":true,\"only_confirmed\":true}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"sort_mode\":\"CREATED\",\"dry_run\":true,\"only_confirmed\":true}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/assign")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/assign"
payload := strings.NewReader("{\"sort_mode\":\"CREATED\",\"dry_run\":true,\"only_confirmed\":true}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_bib_number_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBibNumberController.assign(42);
if (result.success) {
print(result.data);
}Exchanges the numbers of two sign ups of the event.
POST/api/event/base_event/{identifier}/bib_number/swap
Path parameters
identifierrequiredstring |
Request body application/json
sign_up_aintegersign_up_binteger
Responses
200success
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/swap \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"sign_up_a": 1,
"sign_up_b": 1
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({sign_up_a: 1, sign_up_b: 1})
};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/swap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/swap"
payload = {
"sign_up_a": 1,
"sign_up_b": 1
}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/swap', [
'body' => '{"sign_up_a":1,"sign_up_b":1}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/swap"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"sign_up_a\":1,\"sign_up_b\":1}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"sign_up_a\":1,\"sign_up_b\":1}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/swap")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/bib_number/swap"
payload := strings.NewReader("{\"sign_up_a\":1,\"sign_up_b\":1}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_bib_number_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBibNumberController.swap(42, 42, 42);
if (result.success) {
print(result.data);
}Sets or removes the bib number and/or the chip code of a sign up. Only the keys sent are changed.
PUT/api/event/base_event_signup/{identifier}/bib_number
Path parameters
identifierrequiredstring |
Request body application/json
bib_labelstringchip_codestring
Responses
200The updated sign upBaseEventSignUp10
Show fields (54)
bib_range_idintegerage_classstringAltersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.
idintegerPrimary key of the sign-up. Internal ID.
genderstringGender of the participant.
tokenstringPublic token of the sign-up. Used in links instead of the ID.
moments_tokenstringParticipant-bound moments token: allows this participant to use the event moments (digital guestbook) page; uploads via this token are linked to the participant.
waitingbooleanThe sign-up is on the waiting list.
confirmedbooleanThe sign-up is confirmed.
externalbooleanThe sign-up was made by an external party.
deletion_reasonstringReason the sign-up was cancelled.
billedbooleanThe sign-up was billed.
direct_billingbooleandirect_billing_check_datestring (date-time)direct_billing_tokenstringwait_list_confirmation_tokenstringwait_list_confirmation_sent_atstring (date-time)wait_list_confirmation_deadlinestring (date-time)wait_list_confirmed_atstring (date-time)wait_list_pending_confirmationbooleanwait_list_sort_orderintegerbirthdaystring (date-time)Birthday of the participant.
trialbooleanTrial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)
trial_channelstringWho booked the trial date: app, trainer, office
trial_session_numberintegerNumber of this trial date within the pass (1 = first), for "Schnuppern 2/3"
trial_session_maxintegerTrial dates of the pass, for "Schnuppern 2/3"
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
bib_numberintegerStartnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.
bib_labelstringAngezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.
bib_number_assigned_atstring (date-time)Time the bib number was assigned.
chip_codestringTransponder- oder QR-Kennung fuer die Zeitmessung. Pro Event eindeutig.
timing_tracking_consentbooleanEinwilligung in das GPS-Live-Tracking waehrend des Events.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
namestringName of the entity.
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
orderintegerPosition of the entity in the order.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"bib_label": "string",
"chip_code": "string"
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({bib_label: 'string', chip_code: 'string'})
};
fetch('https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number"
payload = {
"bib_label": "string",
"chip_code": "string"
}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number', [
'body' => '{"bib_label":"string","chip_code":"string"}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"bib_label\":\"string\",\"chip_code\":\"string\"}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"bib_label\":\"string\",\"chip_code\":\"string\"}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number"
payload := strings.NewReader("{\"bib_label\":\"string\",\"chip_code\":\"string\"}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_bib_number_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBibNumberController.setForSignUp(42);
if (result.success) {
print(result.data);
}{
"id": 42,
"address_street": "Jakobistr. 39",
"address_city": "Hannover",
"address_zip": "30163",
"address_country": "DE",
"address_full_country": "DE",
"name": "Beispiel",
"main_phone": "+49 511 123456",
"main_email": "lena.hartmann@example.org",
"bib_range_id": 42
}Sets or removes the bib number and/or the chip code of a sign up. Only the keys sent are changed.
PATCH/api/event/base_event_signup/{identifier}/bib_number
Path parameters
identifierrequiredstring |
Request body application/json
bib_labelstringchip_codestring
Responses
200The updated sign upBaseEventSignUp10
Show fields (54)
bib_range_idintegerage_classstringAltersklasse nach DLV, z. B. M40 - berechnet aus Geburtstag, Geschlecht und Eventdatum.
idintegerPrimary key of the sign-up. Internal ID.
genderstringGender of the participant.
tokenstringPublic token of the sign-up. Used in links instead of the ID.
moments_tokenstringParticipant-bound moments token: allows this participant to use the event moments (digital guestbook) page; uploads via this token are linked to the participant.
waitingbooleanThe sign-up is on the waiting list.
confirmedbooleanThe sign-up is confirmed.
externalbooleanThe sign-up was made by an external party.
deletion_reasonstringReason the sign-up was cancelled.
billedbooleanThe sign-up was billed.
direct_billingbooleandirect_billing_check_datestring (date-time)direct_billing_tokenstringwait_list_confirmation_tokenstringwait_list_confirmation_sent_atstring (date-time)wait_list_confirmation_deadlinestring (date-time)wait_list_confirmed_atstring (date-time)wait_list_pending_confirmationbooleanwait_list_sort_orderintegerbirthdaystring (date-time)Birthday of the participant.
trialbooleanTrial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)
trial_channelstringWho booked the trial date: app, trainer, office
trial_session_numberintegerNumber of this trial date within the pass (1 = first), for "Schnuppern 2/3"
trial_session_maxintegerTrial dates of the pass, for "Schnuppern 2/3"
nace_sectionstringNACE section code (letter A-U)
nace_codestringNACE code (numeric like 01.11, 62.01)
bib_numberintegerStartnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.
bib_labelstringAngezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.
bib_number_assigned_atstring (date-time)Time the bib number was assigned.
chip_codestringTransponder- oder QR-Kennung fuer die Zeitmessung. Pro Event eindeutig.
timing_tracking_consentbooleanEinwilligung in das GPS-Live-Tracking waehrend des Events.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
namestringName of the entity.
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
deletedbooleanThis property is used to mark an entity as deleted / archived
orderintegerPosition of the entity in the order.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"bib_label": "string",
"chip_code": "string"
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({bib_label: 'string', chip_code: 'string'})
};
fetch('https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number"
payload = {
"bib_label": "string",
"chip_code": "string"
}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number', [
'body' => '{"bib_label":"string","chip_code":"string"}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"bib_label\":\"string\",\"chip_code\":\"string\"}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"bib_label\":\"string\",\"chip_code\":\"string\"}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number"
payload := strings.NewReader("{\"bib_label\":\"string\",\"chip_code\":\"string\"}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/event/base_event_signup/42/bib_number'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"bib_label": "string",
"chip_code": "string"
}),
);
print(response.body);{
"id": 42,
"address_street": "Jakobistr. 39",
"address_city": "Hannover",
"address_zip": "30163",
"address_country": "DE",
"address_full_country": "DE",
"name": "Beispiel",
"main_phone": "+49 511 123456",
"main_email": "lena.hartmann@example.org",
"bib_range_id": 42
}